<?xml version="1.0" encoding="utf-8"?>
<layout>

    <data>

        <variable
            name="onClickEvent"
            type="android.view.View.OnClickListener" />
    </data>

    <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:orientation="vertical"
        android:paddingLeft="18dp"
        android:paddingRight="18dp">

        <ImageView
            android:layout_width="70dp"
            android:layout_height="70dp"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="72dp"
            android:src="@mipmap/ic_launcher" />

        <EditText
            android:id="@+id/et_account"
            style="@style/style_phone_style"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="86dp"
            android:background="@color/white"
            android:drawableLeft="@mipmap/ic_account"
            android:drawablePadding="@dimen/margin_15"
            android:hint="请输入您的账号"
            android:paddingLeft="24dp"
            android:textSize="15sp" />

        <View
            android:layout_width="match_parent"
            android:layout_height="0.6dp"
            android:layout_marginTop="6dp"
            android:background="@color/underline_color" />

        <EditText
            android:id="@+id/et_password"
            style="@style/style_password_style"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="36dp"
            android:background="@color/white"
            android:drawableLeft="@mipmap/ic_password"
            android:drawablePadding="@dimen/margin_15"
            android:hint="请输入您的密码"
            android:paddingLeft="24dp"
            android:textSize="15sp" />

        <View
            android:layout_width="match_parent"
            android:layout_height="0.6dp"
            android:layout_marginTop="6dp"
            android:background="@color/underline_color" />

        <Button
            android:id="@+id/btn_login"
            style="@style/theme_btn_style"
            android:layout_marginTop="48dp"
            android:onClick="@{onClickEvent}"
            android:text="登录" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="12dp"
            android:layout_marginTop="30dp"
            android:layout_marginRight="12dp">

            <TextView
                android:id="@+id/tv_forget_password"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:onClick="@{onClickEvent}"
                android:padding="6dp"
                android:text="忘记密码"
                android:textColor="@color/theme_text_color"
                android:textSize="12sp"
                android:visibility="gone" />

            <TextView
                android:id="@+id/tv_register"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:onClick="@{onClickEvent}"
                android:padding="6dp"
                android:text="新用户注册"
                android:textColor="@color/theme_text_color"
                android:textSize="12sp" />
        </RelativeLayout>

        <Space
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:layout_weight="1" />

        <TextView
            android:id="@+id/tv_protocol"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="50dp"
            android:layout_marginBottom="36dp"
            android:text="*登录即代表您同意《飞信用户协议》"
            android:textColor="@color/black_99_color"
            android:textSize="12sp" />
    </LinearLayout>
</layout>